# Interface AccessWatchpointEvent

All Superinterfaces:
  `Event`, `Locatable`, `LocatableEvent`, `Mirror`, `WatchpointEvent`

public interface AccessWatchpointEvent extends WatchpointEvent
Notification of a field access in the target VM. Field modifications are not considered field accesses.

Since:
  1.3
See Also:
  - `EventQueue`
  - `VirtualMachine`

## Method Summary

### Methods declared in interface com.sun.jdi.event.Event

`request`

### Methods declared in interface com.sun.jdi.Locatable

`location`

### Methods declared in interface com.sun.jdi.event.LocatableEvent

`thread`

### Methods declared in interface com.sun.jdi.Mirror

`toString, virtualMachine`

### Methods declared in interface com.sun.jdi.event.WatchpointEvent

`field, object, valueCurrent`